Subject: [Ltru] Re: Reference lists

From: "Doug Ewell" <[email-masked]>
Date: Tue, 19 Jul 2005 00:47:49 -0700

I don't plan to squabble over which references should be normative and
which should be informative.  Almost anyone on this list would be better
at making that judgment than I would.  Just say what is best and I'll
move things around.

Same goes for the correct wording of the ISO and UN references: please
post the *exact* wording that is preferred.  I do think all the drafts
(including matching) should have the same wording for any references
they have in common.

I had hoped the reference in draft-registry to Unicode could be replaced
by a reference to ISO/IEC 10646, since I thought the only context was
code points, until I found SpecialCasing.txt mentioned in Section 4.4.

--
Doug Ewell
Fullerton, California
http://users.adelphia.net/~dewell/

_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru

---

From: "Randy Presuhn" <[email-masked]>
Date: Tue, 19 Jul 2005 01:29:36 -0700

Hi -

> From: "Doug Ewell" <[email-masked]>
> To: "LTRU Working Group" <[email-masked]>
> Sent: Tuesday, July 19, 2005 12:47 AM
> Subject: [Ltru] Re: Reference lists
...
> code points, until I found SpecialCasing.txt mentioned in Section 4.4.
...

FWIW that particular passage is clearly non-normative advice to
implementors, so even if there were a problem with making normative
references to Unicode documents, this passage wouldn't be a problem.

Randy

---

From: "Kent Karlsson" <[email-masked]>
Date: Tue, 19 Jul 2005 12:12:33 +0200 (CEST)

And also the -matching document:

http://www.ietf.org/internet-drafts/draft-ietf-ltru-matching-03.txt says:

> 7.  References
>
> 7.1  Normative References
>
>    [ID.ietf-ltru-registry]
>               Phillips, A., Ed. and M. Davis, Ed., "Tags for the
>               Identification of Languages (Internet-Draft)", June 2005,
>               <http://www.ietf.org/internet-drafts/
>               draft-ietf-ltru-registry-07.txt>.

There should also be a reference to –initial (if that is published as an
RFC), and (normatively) the actual registry.

>    [RFC1327]  Hardcastle-Kille, S., "Mapping between X.400(1988) / ISO
>               10021 and RFC 822", RFC 1327, May 1992.

That should be an informative reference, if needed at all (I don’t find
an actual reference in the text).

>    [RFC1521]  Borenstein, N. and N. Freed, "MIME (Multipurpose Internet
>               Mail Extensions) Part One: Mechanisms for Specifying and
>               Describing the Format of Internet Message Bodies",
>               RFC 1521, September 1993.

That should be an informative reference, if needed at all (I don’t find
an actual reference in the text).

>    [RFC2028]  Hovey, R. and S. Bradner, "The Organizations Involved in
>               the IETF Standards Process", BCP 11, RFC 2028,
>               October 1996.

That should be an informative reference, if needed at all (I don’t find
an actual reference in the text).

>    [RFC2119]  Bradner, S., "Key words for use in RFCs to Indicate
>               Requirement Levels", BCP 14, RFC 2119, March 1997.
>
>    [RFC2231]  Freed, N. and K. Moore, "MIME Parameter Value and Encoded
>               Word Extensions: Character Sets, Languages, and
>               Continuations", RFC 2231, November 1997.

That should be an informative reference, if needed at all (I don’t find
an actual reference in the text).

>    [RFC2234]  Crocker, D., Ed. and P. Overell, "Augmented BNF for Syntax
>               Specifications: ABNF", RFC 2234, November 1997.

I think that should be an informative reference (it is normative for
–registry, but not for –matching, I would say). B.t.w., I don’t find
an actual reference in the text.

>    [RFC2396]  Berners-Lee, T., Fielding, R., and L. Masinter, "Uniform
>               Resource Identifiers (URI): Generic Syntax", RFC 2396,
>               August 1998.

That should be an informative reference, if needed at all (I don’t find
an actual reference in the text).

>    [RFC2434]  Narten, T. and H. Alvestrand, "Guidelines for Writing an
>               IANA Considerations Section in RFCs", BCP 26, RFC 2434,
>               October 1998.

That should be an informative reference.

>    [RFC2616]  Fielding, R., Gettys, J., Mogul, J., Frystyk, H.,
>               Masinter, L., Leach, P., and T. Berners-Lee, "Hypertext
>               Transfer Protocol -- HTTP/1.1", RFC 2616, June 1999.

That should be an informative reference (it refers to an extension that
not everyone supporting 3066bis language tags need support).

>    [RFC2860]  Carpenter, B., Baker, F., and M. Roberts, "Memorandum of
>               Understanding Concerning the Technical Work of the
>               Internet Assigned Numbers Authority", RFC 2860, June 2000.

That should be an informative reference, if needed at all (I don’t find
an actual reference in the text).

>    [RFC3629]  Yergeau, F., "UTF-8, a transformation format of ISO
>               10646", STD 63, RFC 3629, November 2003.

That should be an informative reference, if needed at all (then
refer directly to Unicode, if need be; not to the 10646 version).
I don’t find an actual reference in the text, not even a mention of UTF-8.

==========================================================

Same comment on exact formulation of references as before.
The ISO catalogue at www.iso.org gives exact title and reference
number & year & edition for any ISO standard. The working group
that developed the ISO standard is usually *not* included in a
reference to the standard (compare your [ISO15924]).

E.g. the current
[ISO15924] ISO TC46/WG3, “ISO 15924:2003 (E/F) - Codes for the
representation of names of scripts,” January 2004.

should instead be referenced as
[ISO15924] ISO 15924:2004, "Information and documentation -- Codes for the
representation of names of scripts", first edition.

(No conflicting year info, no WG reference, the (E/F) is not given,
but the full title should be given; I know, the full titles are sometimes
less systematic that one could wish for, but that is for someone else
to sort out. And "ISO" is not spelled out in any way [it is not an acronym].)

		/kent k

---

From: "Kent Karlsson" <[email-masked]>
Date: Tue, 19 Jul 2005 19:07:06 +0200 (CEST)

I wrote:

> -registry, but not for -matching, I would say). B.t.w., I don't find

Oops. It should stay normative.

The grammars in -registry and -matching should “look more similar”;
formatting, order, comments, and structure. Here is a preliminary cleanup:

------------------------------------------------------------

%% For -registry

Language-Tag    = langtag
                / privateuse         ; private use tag
                / grandfathered      ; grandfathered registrations

langtag         = (lang
                   *3("-" extlang)
                   ["-" script]
                   ["-" region]
                   *("-" variant)
                   *("-" extension)
                   ["-" privateuse])

lang            = 2*4ALPHA           ; shortest ISO 639 code
                / registered-lang

registered-lang = 4*8ALPHA          ; registered language subtag

extlang         = 3ALPHA             ; reserved for future use

script          = 4ALPHA             ; ISO 15924 code

region          = 2ALPHA             ; ISO 3166 code
                / 3DIGIT             ; UN country number

variant         = 5*8alphanum       ; registered variants
                / ( DIGIT 3alphanum )

extension       = singleton 1*("-" (2*8alphanum))

singleton       = %x41-57 / %x59-5A / %x61-77 / %x79-7A / DIGIT
                ; "a"-"w" / "y"-"z" / "A"-"W" / "Y"-"Z" / "0"-"9"
                ; Single letters: x/X is reserved for private use

privateuse      = ("x"/"X") 1*("-" (1*8alphanum))

grandfathered   = 1*3ALPHA 1*2("-" (2*8alphanum))
                                    ; grandfathered registration
                                    ; Note: i is the only singleton
                                    ; that starts a grandfathered tag

alphanum        = (ALPHA / DIGIT)   ; letters and numbers

---------------------------------------------------------------------------

%% for -matching

Language-Range
                = langrange
                / privateuse         ; private use tag
                / grandfathered      ; grandfathered registrations

langrange       = (lang
                   %%%%% I don’t see why *3("-" extlang) is not included here
                   ["-"script]
                   ["-" region]
                   *("-" variant)
                   %%%%% I don’t see why *("-" extension) is not included
here
                   ["-" privateuse])

lang            = 2*8ALPHA	%%%%%% I’m not sure about the non-trivial
differences from -registry here
                / extlang
                / "*"

extlang         = 2*3ALPHA	%%%%%% I’m not sure about the non-trivial
differences from -registry here
                  *2("-" 3ALPHA)
                  ("-"(3ALPHA / "*"))

script          = 4ALPHA             ; ISO 15924 code
                / "*"

region          = 2ALPHA             ; ISO 3166 code
                / 3DIGIT             ; UN country number
                / "*"

variant         = 5*8alphanum       ; registered variants
                / ( DIGIT 3alphanum )
                / "*"

privateuse      = ("x"/"X") 1*("-" (1*8alphanum))

grandfathered   = 1*3ALPHA 1*2("-" (2*8alphanum))
                                    ; grandfathered registration
                                    ; Note: i is the only singleton
                                    ; that starts a grandfathered tag

alphanum        = (ALPHA / DIGIT)   ; letters and numbers

----------------------------------------------------------------------------

I’m not sure about some non-trivial differences; like why is
not ”singleton” (and its reference) included in the -matching version?

    /kent k